# @vx/boxplot

<a title="@vx/boxplot npm downloads" href="https://www.npmjs.com/package/@vx/boxplot">
  <img src="https://img.shields.io/npm/dm/@vx/boxplot.svg?style=flat-square" />
</a>

A boxplot shows the minimum, maximum, and quartiles of a dataset.

You can pass in props to target the `min`, `max`, `median`, and `box (interquartile range)` shapes using `minProps`, `maxProps`, `medianProps`, and `boxProps`.

If you are looking to add events over the each boxplot group you can pass in `container={true}` and `containerProps={{ /** */ }}`.


## Installation

```
npm install --save @vx/boxplot
```


## Components



  - [BoxPlot](#boxplot-)

## API



<h3 id="boxplot-">&lt;BoxPlot /&gt;</h3>



<a id="#BoxPlot__boxProps" name="BoxPlot__boxProps" href="#BoxPlot__boxProps">#</a> *BoxPlot*.**boxProps**&lt;object&gt;  <table><tr><td><strong>Default</strong></td><td>{}</td></td></table>

<a id="#BoxPlot__boxWidth" name="BoxPlot__boxWidth" href="#BoxPlot__boxWidth">#</a> *BoxPlot*.**boxWidth**&lt;number&gt;  

<a id="#BoxPlot__children" name="BoxPlot__children" href="#BoxPlot__children">#</a> *BoxPlot*.**children**&lt;func&gt;  

<a id="#BoxPlot__className" name="BoxPlot__className" href="#BoxPlot__className">#</a> *BoxPlot*.**className**&lt;string&gt;  

<a id="#BoxPlot__container" name="BoxPlot__container" href="#BoxPlot__container">#</a> *BoxPlot*.**container**&lt;bool&gt;  <table><tr><td><strong>Default</strong></td><td>false</td></td></table>

<a id="#BoxPlot__containerProps" name="BoxPlot__containerProps" href="#BoxPlot__containerProps">#</a> *BoxPlot*.**containerProps**&lt;object&gt;  <table><tr><td><strong>Default</strong></td><td>{}</td></td></table>

<a id="#BoxPlot__fill" name="BoxPlot__fill" href="#BoxPlot__fill">#</a> *BoxPlot*.**fill**&lt;string&gt;  

<a id="#BoxPlot__fillOpacity" name="BoxPlot__fillOpacity" href="#BoxPlot__fillOpacity">#</a> *BoxPlot*.**fillOpacity**&lt;union(number|string)&gt;  

<a id="#BoxPlot__firstQuartile" name="BoxPlot__firstQuartile" href="#BoxPlot__firstQuartile">#</a> *BoxPlot*.**firstQuartile**&lt;number&gt;  

<a id="#BoxPlot__horizontal" name="BoxPlot__horizontal" href="#BoxPlot__horizontal">#</a> *BoxPlot*.**horizontal**&lt;bool&gt;  

<a id="#BoxPlot__left" name="BoxPlot__left" href="#BoxPlot__left">#</a> *BoxPlot*.**left**&lt;number&gt;  <table><tr><td><strong>Default</strong></td><td>0</td></td></table>

<a id="#BoxPlot__max" name="BoxPlot__max" href="#BoxPlot__max">#</a> *BoxPlot*.**max**&lt;number&gt;  

<a id="#BoxPlot__maxProps" name="BoxPlot__maxProps" href="#BoxPlot__maxProps">#</a> *BoxPlot*.**maxProps**&lt;object&gt;  <table><tr><td><strong>Default</strong></td><td>{}</td></td></table>

<a id="#BoxPlot__median" name="BoxPlot__median" href="#BoxPlot__median">#</a> *BoxPlot*.**median**&lt;number&gt;  

<a id="#BoxPlot__medianProps" name="BoxPlot__medianProps" href="#BoxPlot__medianProps">#</a> *BoxPlot*.**medianProps**&lt;object&gt;  <table><tr><td><strong>Default</strong></td><td>{}</td></td></table>

<a id="#BoxPlot__min" name="BoxPlot__min" href="#BoxPlot__min">#</a> *BoxPlot*.**min**&lt;number&gt;  

<a id="#BoxPlot__minProps" name="BoxPlot__minProps" href="#BoxPlot__minProps">#</a> *BoxPlot*.**minProps**&lt;object&gt;  <table><tr><td><strong>Default</strong></td><td>{}</td></td></table>

<a id="#BoxPlot__outlierProps" name="BoxPlot__outlierProps" href="#BoxPlot__outlierProps">#</a> *BoxPlot*.**outlierProps**&lt;object&gt;  <table><tr><td><strong>Default</strong></td><td>{}</td></td></table>

<a id="#BoxPlot__outliers" name="BoxPlot__outliers" href="#BoxPlot__outliers">#</a> *BoxPlot*.**outliers**&lt;array&gt;  <table><tr><td><strong>Default</strong></td><td>[]</td></td></table>

<a id="#BoxPlot__rx" name="BoxPlot__rx" href="#BoxPlot__rx">#</a> *BoxPlot*.**rx**&lt;number&gt;  <table><tr><td><strong>Default</strong></td><td>2</td></td></table>

<a id="#BoxPlot__ry" name="BoxPlot__ry" href="#BoxPlot__ry">#</a> *BoxPlot*.**ry**&lt;number&gt;  <table><tr><td><strong>Default</strong></td><td>2</td></td></table>

<a id="#BoxPlot__stroke" name="BoxPlot__stroke" href="#BoxPlot__stroke">#</a> *BoxPlot*.**stroke**&lt;string&gt;  

<a id="#BoxPlot__strokeWidth" name="BoxPlot__strokeWidth" href="#BoxPlot__strokeWidth">#</a> *BoxPlot*.**strokeWidth**&lt;union(number|string)&gt;  

<a id="#BoxPlot__thirdQuartile" name="BoxPlot__thirdQuartile" href="#BoxPlot__thirdQuartile">#</a> *BoxPlot*.**thirdQuartile**&lt;number&gt;  

<a id="#BoxPlot__top" name="BoxPlot__top" href="#BoxPlot__top">#</a> *BoxPlot*.**top**&lt;number&gt;  <table><tr><td><strong>Default</strong></td><td>0</td></td></table>

<a id="#BoxPlot__valueScale" name="BoxPlot__valueScale" href="#BoxPlot__valueScale">#</a> *BoxPlot*.**valueScale**&lt;func&gt;  
